Rename or recolor a manual label

PATCH
/labels/{labelId}

At least one of name or color. AI labels are changed through their rule (PATCH /ai-label-rules/{ruleId}): here they return 400 INVALID_TAG. In Emelia, renaming a campaign label is overwritten by the next synchronisation of the campaign name.

Authorization

apiKey
Authorization<token>

Your 48 character Emelia API key, the same as for the Emelia API, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api. Disabling a key can take up to 5 minutes to apply to the Inbox API.

In: header

Path Parameters

labelId*string

Label id, from GET /labels.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

At least one field.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/labels/cmtgacme0000000000000001" \  -H "Authorization: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "name": "Quotes 2026"  }'
{  "label": {    "id": "cmtgacme0000000000000001",    "name": "Quotes 2026",    "color": "#16a34a",    "isAiLabel": false,    "createdAt": "2026-10-01T10:00:00.000Z"  }}